#pragma once

#include "CoreMinimal.h"
#include "ZombiesPatrolAreaManager.h"
#include "CalamariZombiesPatrolAreaManager.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UCalamariZombiesPatrolAreaManager : public UZombiesPatrolAreaManager
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UFloatValueStrategy* _spawnRadiusStrategy;

public:
	UCalamariZombiesPatrolAreaManager();
};

FORCEINLINE uint32 GetTypeHash(const UCalamariZombiesPatrolAreaManager) { return 0; }
